body,
html {
  margin: 0 auto;
  border: 0;
  background-color: #fff;
  font-family: Lucida Grande, Futura, Georgia, Verdana, Tahoma, Century Gothic,
    Arial, Sans-serif;
  font-size: 11.5pt;
  color: #808080;
  text-align: center;
  vertical-align: middle;
}

#container {
  padding: 5px;
}

.shop {
  border: 5px solid goldenrod;
  color: whitesmoke;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 200%;
  font-weight: bolder;
  margin: 4px 2px;
  cursor: pointer;
  background: rgb(2, 0, 36);
  background: linear-gradient(90deg,
      rgba(2, 0, 36, 1) 0%,
      rgba(9, 9, 121, 1) 20%,
      rgba(0, 212, 255, 1) 100%);
  height: 150px;
}

.shop:hover {
  background-color: #4caf50;
  text-decoration: underline;
  cursor: grab;
}

/* LAYOUT */
#top {
  background: #fff;
  padding-bottom: 30px;
}

#logo {
  max-width: 500px;
  text-align: center;
  margin: 0 auto;
}

#map {
  background: #fefefe;
  margin-top: 2px;
  padding: 5px;
  overflow: hidden;
}

#map img {
  max-width: 500px;
  text-align: center;
  margin: 0 auto;
}

.img-responsive {
  display: block;
  max-width: 98%;
  height: auto;
}

#middle,
#facebook {
  background: #efefef;
  border: 2px solid #ddd;
}

#bottom {
  clear: both;
  margin: 15px 0 0;
  padding: 20px 10px;
  background-color: #fff;
  font-size: 0.8em;
  color: #666;
}

#middle ul {
  list-style: none;
  line-height: 150%;
}

#middle li {
  text-indent: 20px;
}

#middle li a {
  color: #666;
  font-weight: bold;
  text-decoration: none;
}

#middle li a:hover {
  text-decoration: underline;
}

.popover-panel {
  border: 5px solid #000;  
  background-color: #007bff;  
  padding: 15px;
  color: #fff;
  width: 50%;  
  position: fixed;  
  left: 50%;  
  box-sizing: border-box;
  overflow: auto;  
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.popover-panel button {
  background-color: #ddd;
  border: 2px solid #000;
  color: #0d0d0d;
  padding: 5px 10px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
  border-radius: 5px;
  width: 100px;
  height: 50px;
}

.content {
  max-width: 100%;
  /* Ensures content does not overflow the popover */
  padding: 15px;
  /* Optional padding */
}

/* Responsive styling for smaller screens (e.g., mobile devices) */
@media (min-width: 768px) {
  .popover-panel {
      top: 50%; /* Width for smaller screens */      
      transform: translate(-50%, -50%);
  }
}

/* Responsive styling for smaller screens (e.g., mobile devices) */
@media (max-width: 768px) {
  .popover-panel {
      width: 90%; /* Width for smaller screens */      
      transform: translate(-50%, 0px);
      top: 0px;
      height:100%;      
  }

  .content {
       padding: 5px;
  }
}